From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-antivirus/clamav/
Date: Sun, 17 Oct 2021 02:11:50 +0000 (UTC) [thread overview]
Message-ID: <1634436700.51e1085b4e7aabda7dfe098e4b7bb25108c81033.sam@gentoo> (raw)
commit: 51e1085b4e7aabda7dfe098e4b7bb25108c81033
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 17 02:10:18 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 17 02:11:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51e1085b
app-antivirus/clamav: fix installation based on USE=clamapp
Some files only exist with USE=clamapp. We also
enable clamapp by default as it aligns with
expectations.
Closes: https://bugs.gentoo.org/818484
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-antivirus/clamav/clamav-0.104.0.ebuild | 88 +++++++++++++++---------------
app-antivirus/clamav/metadata.xml | 4 +-
2 files changed, 48 insertions(+), 44 deletions(-)
diff --git a/app-antivirus/clamav/clamav-0.104.0.ebuild b/app-antivirus/clamav/clamav-0.104.0.ebuild
index 96c6d859164..61677d2089f 100644
--- a/app-antivirus/clamav/clamav-0.104.0.ebuild
+++ b/app-antivirus/clamav/clamav-0.104.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://www.clamav.net/downloads/production/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
-IUSE="doc clamonacc clamapp libclamav-only milter rar selinux systemd test uclibc"
+IUSE="doc clamonacc +clamapp libclamav-only milter rar selinux systemd test uclibc"
REQUIRED_USE="libclamav-only? ( !clamonacc !clamapp !milter )
clamonacc? ( clamapp )
@@ -113,54 +113,56 @@ src_install() {
"freshclamd.service"
fi
- # Modify /etc/{clamd,freshclam}.conf to be usable out of the box
- sed -e "s:^\(Example\):\# \1:" \
- -e "s/^#\(PidFile .*\)/\1/" \
- -e "s/^#\(LocalSocket .*\)/\1/" \
- -e "s/^#\(User .*\)/\1/" \
- -e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamd.log:" \
- -e "s:^\#\(LogTime\).*:\1 yes:" \
- -e "s/^#\(DatabaseDirectory .*\)/\1/" \
- "${ED}"/etc/clamav/clamd.conf.sample > \
- "${ED}"/etc/clamav/clamd.conf || die
-
- sed -e "s:^\(Example\):\# \1:" \
- -e "s/^#\(PidFile .*\)/\1/" \
- -e "s/^#\(DatabaseOwner .*\)/\1/" \
- -e "s:^\#\(UpdateLogFile\) .*:\1 ${EPREFIX}/var/log/clamav/freshclam.log:" \
- -e "s:^\#\(NotifyClamd\).*:\1 ${EPREFIX}/etc/clamd.conf:" \
- -e "s:^\#\(ScriptedUpdates\).*:\1 yes:" \
- -e "s/^#\(DatabaseDirectory .*\)/\1/" \
- "${ED}"/etc/clamav/freshclam.conf.sample > \
- "${ED}"/etc/clamav/freshclam.conf || die
-
- if use milter ; then
- # Note: only keep the "unix" ClamdSocket and MilterSocket!
+ if use clamapp; then
+ # Modify /etc/{clamd,freshclam}.conf to be usable out of the box
sed -e "s:^\(Example\):\# \1:" \
-e "s/^#\(PidFile .*\)/\1/" \
- -e "s/^#\(ClamdSocket unix:.*\)/\1/" \
+ -e "s/^#\(LocalSocket .*\)/\1/" \
-e "s/^#\(User .*\)/\1/" \
- -e "s/^#\(MilterSocket unix:.*\)/\1/" \
- -e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamav-milter.log:" \
- "${ED}"/etc/clamav/clamav-milter.conf.sample > \
- "${ED}"/etc/clamav/clamav-milter.conf || die
+ -e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamd.log:" \
+ -e "s:^\#\(LogTime\).*:\1 yes:" \
+ -e "s/^#\(DatabaseDirectory .*\)/\1/" \
+ "${ED}"/etc/clamav/clamd.conf.sample > \
+ "${ED}"/etc/clamav/clamd.conf || die
- systemd_newunit "${FILESDIR}/clamav-milter.service-0.104.0" clamav-milter.service
- fi
-
- local i
- for i in clamd freshclam clamav-milter
- do
- if [[ -f "${ED}"/etc/"${i}".conf.sample ]]; then
- mv "${ED}"/etc/"${i}".conf{.sample,} || die
+ sed -e "s:^\(Example\):\# \1:" \
+ -e "s/^#\(PidFile .*\)/\1/" \
+ -e "s/^#\(DatabaseOwner .*\)/\1/" \
+ -e "s:^\#\(UpdateLogFile\) .*:\1 ${EPREFIX}/var/log/clamav/freshclam.log:" \
+ -e "s:^\#\(NotifyClamd\).*:\1 ${EPREFIX}/etc/clamd.conf:" \
+ -e "s:^\#\(ScriptedUpdates\).*:\1 yes:" \
+ -e "s/^#\(DatabaseDirectory .*\)/\1/" \
+ "${ED}"/etc/clamav/freshclam.conf.sample > \
+ "${ED}"/etc/clamav/freshclam.conf || die
+
+ if use milter ; then
+ # Note: only keep the "unix" ClamdSocket and MilterSocket!
+ sed -e "s:^\(Example\):\# \1:" \
+ -e "s/^#\(PidFile .*\)/\1/" \
+ -e "s/^#\(ClamdSocket unix:.*\)/\1/" \
+ -e "s/^#\(User .*\)/\1/" \
+ -e "s/^#\(MilterSocket unix:.*\)/\1/" \
+ -e "s:^\#\(LogFile\) .*:\1 ${EPREFIX}/var/log/clamav/clamav-milter.log:" \
+ "${ED}"/etc/clamav/clamav-milter.conf.sample > \
+ "${ED}"/etc/clamav/clamav-milter.conf || die
+
+ systemd_newunit "${FILESDIR}/clamav-milter.service-0.104.0" clamav-milter.service
fi
- done
- # These both need to be writable by the clamav user.
- # TODO: use syslog by default; that's what it's for.
- diropts -o clamav -g clamav
- keepdir /var/lib/clamav
- keepdir /var/log/clamav
+ local i
+ for i in clamd freshclam clamav-milter
+ do
+ if [[ -f "${ED}"/etc/"${i}".conf.sample ]]; then
+ mv "${ED}"/etc/"${i}".conf{.sample,} || die
+ fi
+ done
+
+ # These both need to be writable by the clamav user.
+ # TODO: use syslog by default; that's what it's for.
+ diropts -o clamav -g clamav
+ keepdir /var/lib/clamav
+ keepdir /var/log/clamav
+ fi
fi
if use doc ; then
diff --git a/app-antivirus/clamav/metadata.xml b/app-antivirus/clamav/metadata.xml
index 4c41e164aee..b7ec36aac1c 100644
--- a/app-antivirus/clamav/metadata.xml
+++ b/app-antivirus/clamav/metadata.xml
@@ -12,7 +12,9 @@
</maintainer>
<use>
- <flag name="clamapp">Build applications (clamscan, clamd, clamdscan, clamonacc(also has it's own USE flag), sigtool, clambc, clamav-milter(also requires milter USE flag), clamdtop, clamsubmit, clamconf).</flag>
+ <flag name="clamapp">
+ Build applications (clamscan, clamd, clamdscan, clamonacc (also has its own USE flag), sigtool, clambc, clamav-milter (also requires milter USE flag), clamdtop, clamsubmit, clamconf).
+ </flag>
<flag name="clamonacc">Build the clamonacc on-access scanner</flag>
<flag name="clamdtop">A Top like tool which shows what clamd is currently scanning amongst other things</flag>
<flag name="clamsubmit">A tool to submit false positives / negatives</flag>
next reply other threads:[~2021-10-17 2:11 UTC|newest]
Thread overview: 307+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-17 2:11 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-03 3:19 [gentoo-commits] repo/gentoo:master commit in: app-antivirus/clamav/ Michael Orlitzky
2025-03-02 12:38 Jakov Smolić
2025-03-02 8:21 Sam James
2025-03-02 8:21 Sam James
2025-03-02 8:21 Sam James
2025-03-02 8:21 Sam James
2025-03-02 0:50 Matt Jolly
2025-02-27 5:33 Sam James
2025-02-22 8:02 Ulrich Müller
2025-01-23 21:39 Thomas Raschbacher
2025-01-23 21:39 Thomas Raschbacher
2025-01-18 17:30 Jakov Smolić
2025-01-18 17:30 Jakov Smolić
2025-01-18 14:29 Sam James
2025-01-18 14:29 Sam James
2024-12-04 11:33 Matt Jolly
2024-11-10 6:41 Matt Jolly
2024-10-25 12:02 Arthur Zamarin
2024-10-25 12:02 Arthur Zamarin
2024-09-23 15:23 Sam James
2024-09-23 12:14 Sam James
2024-09-23 11:12 Matt Jolly
2024-09-23 11:12 Matt Jolly
2024-08-26 17:47 Thomas Raschbacher
2024-08-18 18:07 Mike Gilbert
2024-08-18 17:00 Thomas Raschbacher
2024-06-29 8:33 Matt Jolly
2024-06-24 22:29 Matt Jolly
2024-06-24 11:05 Matt Jolly
2024-06-24 11:05 Matt Jolly
2024-04-19 9:53 Thomas Raschbacher
2024-03-17 12:57 Michael Orlitzky
2024-03-17 9:27 Arthur Zamarin
2024-03-17 6:07 Arthur Zamarin
2024-03-15 21:43 Arthur Zamarin
2024-03-14 16:55 Arthur Zamarin
2024-03-13 19:21 Arthur Zamarin
2024-03-13 15:14 Arthur Zamarin
2024-03-13 13:59 Arthur Zamarin
2024-03-10 5:42 Sam James
2024-03-10 5:42 Sam James
2024-03-10 5:42 Sam James
2024-03-10 5:42 Sam James
2024-03-10 5:42 Sam James
2024-03-06 3:40 Sam James
2024-03-02 16:25 Arthur Zamarin
2024-03-02 14:30 Arthur Zamarin
2024-03-02 14:30 Arthur Zamarin
2024-03-02 10:05 Matt Jolly
2024-03-02 10:05 Matt Jolly
2024-03-02 10:05 Matt Jolly
2024-03-02 10:05 Matt Jolly
2024-03-02 10:05 Matt Jolly
2024-03-02 10:05 Matt Jolly
2024-02-07 21:39 Thomas Raschbacher
2023-10-26 13:19 Thomas Raschbacher
2023-10-25 19:26 Michael Orlitzky
2023-08-30 10:05 Sam James
2023-08-30 10:05 Sam James
2023-08-30 4:20 Sam James
2023-08-30 4:20 Sam James
2023-08-29 11:20 Thomas Raschbacher
2023-08-28 22:50 Michael Orlitzky
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-24 23:25 Sam James
2023-08-16 20:49 Michael Orlitzky
2023-08-16 20:12 Thomas Raschbacher
2023-08-16 20:12 Thomas Raschbacher
2023-08-13 4:26 Sam James
2023-08-12 8:38 Joonas Niilola
2023-07-29 5:31 Joonas Niilola
2023-07-28 11:08 Sam James
2023-07-28 11:08 Sam James
2023-07-28 11:08 Sam James
2023-05-07 9:11 Thomas Raschbacher
2023-03-31 11:49 Arthur Zamarin
2023-02-20 9:16 Joonas Niilola
2023-02-16 10:01 Sam James
2023-02-16 4:18 Sam James
2023-02-16 3:59 Sam James
2023-02-16 3:30 Sam James
2023-01-13 13:43 Michael Orlitzky
2023-01-13 12:59 Arthur Zamarin
2023-01-06 8:10 Sam James
2023-01-05 16:42 Arthur Zamarin
2023-01-05 16:42 Arthur Zamarin
2023-01-05 16:42 Arthur Zamarin
2023-01-05 16:42 Arthur Zamarin
2022-12-05 21:03 Thomas Raschbacher
2022-11-23 1:45 Sam James
2022-11-23 1:45 Sam James
2022-09-08 19:55 Thomas Raschbacher
2022-08-04 1:45 Sam James
2022-07-28 14:09 Sam James
2022-07-27 21:51 Thomas Raschbacher
2022-07-27 0:21 Michael Orlitzky
2022-06-02 3:46 Sam James
2022-05-06 11:08 Michael Orlitzky
2022-05-06 8:58 Jakov Smolić
2022-05-06 8:16 Arthur Zamarin
2022-05-06 8:07 Jakov Smolić
2022-05-06 7:58 Agostino Sarubbo
2022-05-06 7:49 Sam James
2022-05-06 7:49 Sam James
2022-05-05 15:56 Michael Orlitzky
2022-02-02 14:39 Michael Orlitzky
2022-02-02 0:10 Sam James
2022-02-01 7:36 Agostino Sarubbo
2022-02-01 7:30 Agostino Sarubbo
2022-02-01 6:00 Sam James
2022-02-01 5:57 Sam James
2022-02-01 5:19 Sam James
2022-01-12 21:22 Thomas Raschbacher
2022-01-12 21:22 Thomas Raschbacher
2022-01-12 20:48 Michael Orlitzky
2021-11-15 22:41 Michael Orlitzky
2021-11-14 20:30 Sam James
2021-11-14 2:15 Sam James
2021-11-13 19:50 Sam James
2021-11-11 11:36 Agostino Sarubbo
2021-11-11 10:24 Jakov Smolić
2021-11-03 21:05 Thomas Raschbacher
2021-10-21 7:48 Sam James
2021-10-19 7:44 Sam James
2021-10-19 7:44 Sam James
2021-10-19 7:44 Sam James
2021-10-19 7:44 Sam James
2021-10-17 2:15 Sam James
2021-10-17 2:15 Sam James
2021-10-17 2:12 Sam James
2021-10-17 2:11 Sam James
2021-10-16 12:30 Thomas Raschbacher
2021-10-05 22:18 Michael Orlitzky
2021-10-04 0:47 Sam James
2021-09-26 5:01 Sam James
2021-09-21 16:35 Sam James
2021-09-20 18:26 Sam James
2021-09-20 18:26 Sam James
2021-09-20 18:26 Sam James
2021-08-19 21:38 Michael Orlitzky
2021-08-19 21:38 Michael Orlitzky
2021-07-23 18:28 Marek Szuba
2021-06-21 22:17 Michael Orlitzky
2021-04-30 17:10 Mikle Kolyada
2021-04-16 21:37 Michael Orlitzky
2021-04-10 4:25 Sam James
2021-04-09 22:24 Sam James
2021-04-09 22:22 Sam James
2021-04-09 22:20 Sam James
2021-04-09 22:17 Sam James
2021-04-08 0:25 Thomas Deutschmann
2021-04-07 20:34 Thomas Raschbacher
2021-04-07 19:07 Thomas Raschbacher
2020-09-30 11:33 Michael Orlitzky
2020-09-23 3:34 Michael Orlitzky
2020-09-23 3:34 Michael Orlitzky
2020-07-17 15:45 Michael Orlitzky
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2020-07-17 14:47 Sam James
2020-07-17 1:24 Sam James
2020-07-16 23:02 Sam James
2020-07-16 22:58 Sam James
2020-07-16 20:02 Michael Orlitzky
2020-06-07 21:02 Mart Raudsepp
2020-05-18 21:13 Agostino Sarubbo
2020-05-18 15:12 Agostino Sarubbo
2020-05-18 15:08 Agostino Sarubbo
2020-05-18 13:00 Agostino Sarubbo
2020-05-18 12:58 Agostino Sarubbo
2020-05-12 18:40 Thomas Raschbacher
2020-05-02 12:15 Michael Orlitzky
2020-04-23 21:18 Thomas Raschbacher
2020-03-31 18:02 Sergei Trofimovich
2020-03-19 20:40 Thomas Deutschmann
2020-03-19 20:40 Thomas Deutschmann
2020-02-14 18:09 Sergei Trofimovich
2020-02-11 11:37 Agostino Sarubbo
2020-02-11 11:30 Agostino Sarubbo
2020-02-11 10:55 Agostino Sarubbo
2020-02-11 8:43 Agostino Sarubbo
2020-02-07 13:15 Agostino Sarubbo
2020-02-07 12:50 Agostino Sarubbo
2020-02-06 7:51 Sergei Trofimovich
2020-02-06 0:20 Michael Orlitzky
2020-01-27 11:39 Mikle Kolyada
2020-01-27 9:53 Sergei Trofimovich
2020-01-27 9:33 Sergei Trofimovich
2020-01-27 8:10 Sergei Trofimovich
2020-01-26 20:55 Thomas Deutschmann
2020-01-24 15:57 Agostino Sarubbo
2020-01-18 4:11 Michael Orlitzky
2020-01-15 14:39 Michael Orlitzky
2020-01-15 14:39 Michael Orlitzky
2019-12-10 20:15 Aaron Bauman
2019-12-07 19:42 Thomas Raschbacher
2019-11-25 13:43 Aaron Bauman
2019-11-07 0:10 Aaron Bauman
2019-11-01 10:05 Mikle Kolyada
2019-10-17 11:57 Michael Orlitzky
2019-10-16 11:36 Michael Orlitzky
2019-10-13 21:06 Thomas Raschbacher
2019-10-11 15:33 Michał Górny
2019-10-07 10:49 Agostino Sarubbo
2019-10-07 9:52 Agostino Sarubbo
2019-10-07 9:47 Agostino Sarubbo
2019-08-21 19:54 Thomas Raschbacher
2019-08-18 12:37 David Seifert
2019-08-07 7:37 Thomas Raschbacher
2019-04-18 4:16 Aaron Bauman
2019-04-13 3:56 Aaron Bauman
2019-04-13 3:54 Matt Turner
2019-04-08 15:33 Aaron Bauman
2019-04-08 15:33 Aaron Bauman
2019-04-07 21:34 Sergei Trofimovich
2019-04-07 21:16 Sergei Trofimovich
2019-04-07 21:00 Sergei Trofimovich
2019-04-07 20:52 Sergei Trofimovich
2019-03-30 19:11 Mikle Kolyada
2019-03-30 10:46 Agostino Sarubbo
2019-03-29 21:39 Aaron Bauman
2019-03-27 23:44 Thomas Deutschmann
2019-03-27 9:12 Thomas Deutschmann
2019-03-13 23:26 Sergei Trofimovich
2019-03-10 14:26 Mikle Kolyada
2019-03-03 13:26 Jeroen Roovers
2019-03-02 20:02 Sergei Trofimovich
2019-03-02 19:52 Sergei Trofimovich
2019-03-02 15:25 Mikle Kolyada
2019-03-01 1:14 Thomas Deutschmann
2019-02-22 19:57 Thomas Raschbacher
2018-12-29 15:46 Anthony G. Basile
2018-12-04 7:27 Thomas Raschbacher
2018-11-24 22:01 Sergei Trofimovich
2018-10-18 11:45 Tobias Klausmann
2018-10-16 9:18 Tobias Klausmann
2018-10-14 11:53 Thomas Raschbacher
2018-10-05 12:37 Thomas Raschbacher
2018-09-08 20:18 Sergei Trofimovich
2018-07-20 22:48 Sergei Trofimovich
2018-07-20 9:49 Jeroen Roovers
2018-07-20 9:49 Jeroen Roovers
2018-07-20 8:08 Sergei Trofimovich
2018-07-17 13:55 Agostino Sarubbo
2018-07-09 21:02 Thomas Raschbacher
2018-05-26 14:16 Aaron Bauman
2018-05-26 11:00 Mikle Kolyada
2018-05-06 19:24 Sergei Trofimovich
2018-05-02 19:30 Markus Meier
2018-04-22 20:19 Matt Turner
2018-04-22 1:33 Aaron Bauman
2018-04-18 6:57 Sergei Trofimovich
2018-04-12 12:50 Thomas Raschbacher
2018-04-12 12:50 Thomas Raschbacher
2018-04-07 21:30 Sergei Trofimovich
2018-04-05 13:43 Thomas Deutschmann
2018-03-31 17:52 Tobias Klausmann
2018-03-30 12:31 Sergei Trofimovich
2018-03-30 0:18 Aaron Bauman
2018-03-30 0:18 Aaron Bauman
2018-03-29 17:11 Thomas Deutschmann
2018-03-29 2:12 Aaron Bauman
2018-03-04 17:07 Tobias Klausmann
2018-03-03 11:40 Sergei Trofimovich
2018-02-10 19:22 Sergei Trofimovich
2018-01-28 17:59 Sergei Trofimovich
2018-01-28 12:14 Sergei Trofimovich
2018-01-26 16:11 Thomas Deutschmann
2018-01-26 16:09 Mikle Kolyada
2018-01-26 14:52 Thomas Deutschmann
2018-01-25 1:31 Aaron Bauman
2017-12-19 21:45 Thomas Deutschmann
2017-12-10 14:16 David Seifert
2017-12-04 7:41 Sergei Trofimovich
2017-11-24 18:22 Robin H. Johnson
2017-11-12 11:37 Sergei Trofimovich
2017-09-23 14:32 Thomas Deutschmann
2017-07-31 9:01 Tobias Klausmann
2017-07-26 8:53 Sergei Trofimovich
2017-04-23 10:48 Jeroen Roovers
2017-01-27 18:34 Zac Medico
2017-01-21 21:09 Zac Medico
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2016-07-06 9:23 Agostino Sarubbo
2016-06-25 20:14 Agostino Sarubbo
2016-05-31 12:38 Tobias Klausmann
2016-05-29 19:24 Thomas Raschbacher
2016-05-23 21:32 Thomas Raschbacher
2016-05-13 8:41 Agostino Sarubbo
2016-05-05 10:51 Thomas Raschbacher
2016-04-27 12:11 Jeroen Roovers
2016-04-11 8:22 Thomas Raschbacher
2016-03-21 21:45 Anthony G. Basile
2015-12-30 15:52 Thomas Raschbacher
2015-12-30 10:06 Thomas Raschbacher
2015-12-02 15:36 Thomas Raschbacher
2015-10-11 4:34 Jeroen Roovers
2015-10-04 19:36 Julian Ospald
2015-09-23 12:52 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1634436700.51e1085b4e7aabda7dfe098e4b7bb25108c81033.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox